/*
 * Makarov Alex
 * alexd.makarov@gmail.com
 * DSI
 */

package bitel.billing.server.contract.action.web;

import bitel.billing.server.ActionBase;
import bitel.billing.server.contract.bean.ContractManager;
import bitel.billing.server.contract.bean.Contract;
import ru.dsi.bgbilling.robokassa.util.ChekContractPeriod;

import org.w3c.dom.Element;
/**
 *
 * @author makarovad
 */
public class ActionOnlinePay extends ActionBase {
    
    @Override
    public void doAction(){
        try{
            // 1. Проверяем не закрыт ли договор. Если закрыт - возвращаем клиенту сообщение об этом.                        
            ContractManager cm = new ContractManager(this.con);
            Contract c =cm.getContractByID(this.cid);            
            if(ChekContractPeriod.checkPeriod2(c.getDateTo()) == 1){
                Element elm = createElement(this.rootNode, "msg");
                elm.setAttribute( "text", "Период действия договора истек. Воспользоваться сервисом Online платеж вы не можете." );
                elm.setAttribute( "err", "1" );
            }else{
                Element elm = createElement(this.rootNode, "msg");
                elm.setAttribute( "err", "0" );
            }            
        }catch(Exception e){
            e.printStackTrace();
        }
    }
}

